package com.ruoyi.system.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 项目前期的办事流程
 *
 * @author PENG
 */
@Data
@TableName("zzq_sub_pre")
public class SubDocument {
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    private String projectid; //项目id
    private String projectname; //项目名称
    private String sxzxname;  //手续名称
    private Date applytime;  //受理时间
    private Date endfortime;  //办结时间
    private String username;  //办理人
    private String deptname; //审批单位
    private String permid; //审批单位
/*    private String fileurl; //审批单位*/
    private String mobile; //办理人联系电话
    private String status;  //状态
    private String State;  //状态(1新增2删除3.修改)
    private String isHandle; //
    private Date createDate;
    private Date updateDate;
    private String isDelete;
}
