package com.ruoyi.system.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@TableName("t_systable")
public class SysTable {

	private String id;
	/**
	 * 类型（XYFL-所属行业;XMXZ-行业性质;YQTS-延期天数）
	 */
	private String kind;

	/**
	 * 监管单位
	 */
	private String unitId;

	/**
	 * 编码
	 */
	private String code;
	/**
	 * 名称
	 */
	private String title;




	private Integer isShow = 1;



	private String remark;

	private String createUserId;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	private String lastUpdateUserId;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	private Date lastUpdateTime;

	private Integer logicDeleteFlag = 0;

}
