package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SubDoc;
import com.ruoyi.system.mapper.SubDocMapper;
import com.ruoyi.system.service.ISubDocService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
/*@DataSource(value = DataSourceType.SLAVE)*/
public class SubDocServiceImpl extends ServiceImpl<SubDocMapper, SubDoc> implements ISubDocService {
    @Autowired
    private SubDocMapper subDocMapper;

    @Override
    public List<SubDoc> listTask() {
        return subDocMapper.selectList(new LambdaQueryWrapper<SubDoc>().isNull(SubDoc::getIsHandle).or().eq(SubDoc::getIsHandle, 1));
    }

    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public boolean saveOrUpdateSlave(SubDoc entity) {
        boolean b = super.saveOrUpdate(entity);
        return b;
    }

}
