package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SubInfo;
import com.ruoyi.system.domain.SyncLog;
import com.ruoyi.system.mapper.SubInfoMapper;
import com.ruoyi.system.mapper.SyncLogMapper;
import com.ruoyi.system.service.ISubInfoService;
import com.ruoyi.system.service.ISyncLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
@DataSource(value = DataSourceType.SLAVE)
public class SyncLogServiceImpl extends ServiceImpl<SyncLogMapper, SyncLog> implements ISyncLogService
{
    @Autowired
    private SyncLogMapper syncLogMapper;

    @Override
    public boolean saveOrUpdate(SyncLog entity) {
        return super.saveOrUpdate(entity);
    }

    @Override
    public boolean remove(Wrapper entity) {
        return super.remove(entity);
    }

}
