package com.ruoyi.system.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;


@Data
@TableName("zjj_doc_log")
public class DocLog {

    @TableId(value = "id", type = IdType.UUID)
    private String id;

    //项目代码
    private String code;

    //项目名称
    private String title;


    //文件名称
    private String docName;

    //三方流水号
    private String lsh;

    //操作时间
    private String opDate;

    //操作内容
    private String content;

    //类型 1废标 2退标
    private String cat;

    //是否已经处理(1未处理 2已处理成功3需手动处理)
    private String isHandle;

    private String remark;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
