package com.ruoyi.system.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 项目主表
 *
 * @author PENG
 */
@Data
@TableName("zzq_sub_info")
public class Sub {
    private static final long serialVersionUID = 1L;
    //主键
    @TableId(value = "id", type = IdType.UUID)
    private String id;

    private String cbsnum;
    private String projectid; //项目编码  sub_code
    private String projectname; //项目名称 sub_name
    private String psorttwoname; //所属行业 indus_kind
    private String constructionscale; //项目内容 content
    private String areaidtwoname; //建设地点 subject_id
    private Date starttime; //开始计划日期 begin_date
    private Date endtime;   //结束计划日期 end_date
    private String incname; //责任单位  unit
    private String incid; //责任单位信用代码  unit
    private String agename; //责任人   name_zrr
    private String pagename; //责任领导  name_lead
    private Date createtime;  //项目创建时间  create_time
    private String agemobile;  //总负责人电话   tel_lead
    private String agephone; //领导电话
    private String zjlx; //投资类型：1-政府投资，2-企业投资'  kind_nature
    private String zjly; //资金来源  zjly
    private String statu; //状态 1新增 2删除，3.修改
    private BigDecimal grossinvestment; //总金额
    private Date updatetime;  //记录时间
    private String isHandle;  //是否处理

}
