package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 项目前期的办事流程
 *
 * @author PENG
 */
@Data
@TableName("zjj_doc")
public class SubDoc {
    @TableId(value = "id", type = IdType.AUTO)
    private String id;
    private String code; //项目id
    private String projectName; //项目名称
    private String sxzxName;  //手续名称
    private Date applyTime;  //受理时间
    private Date endforTime;  //办结时间
    private String userName;  //办理人
    private String deptName; //审批单位
    private String fileUrl; //附件地址
    private String fileType; //文件类型
    private String mobile; //办理人联系电话
    private String State;  //状态(1新增2删除3.修改)
    private String isHandle; //是否处理
    private Date createTime; //创建时间
}
