package com.ruoyi.system.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 项目前期的办事流程
 *
 * @author PENG
 */
@Data
@TableName("sub_pre_flow")
public class SubPreFlow {

    private String id;
    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @JSONField(format = "yyyy-MM-dd")
    private Date rptDate;
    /**
     * 前期办理手续
     */
    private String title;
    /**
     * 所属阶段
     */
    private Integer numStage;
    /**
     * 正常用时
     */
    private Integer num1;
    /**
     * 最大用时
     */
    private Integer num2;
    /**
     * 审核单位简称
     */
    private String spUnitDesc;
    /**
     * 科室描述
     */
    private String departDesc;
    /**
     * 备注
     */
    private String remark;

    /**
     * 文档办理说明
     */
    private String description;


    /**
     * 详细说明
     */
    private String expound;


    /**
     * 排序字段
     */
/*    private Integer sort;




    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date lastUpdateTime;*/

    private Integer logicDeleteFlag = 0;

}
