package com.ruoyi.system.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import java.util.Date;

@Data
@Accessors(chain=true)
public class SubPreLog {

    private String id;

    private String subId;

    private String flowId;

    //操作时间
    private String opDate;


    //三方平台账号
    private String otherId;

    //操作内容
    private String content;

    //类型 1废标 2退回
    private String cat;

    private String remark;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
