package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.data.annotation.Id;

/**
 * 参数配置表 sys_config
 *
 * @author ruoyi
 */
@Data
@TableName("ggzy_tender")
public class Tender
{
    private static final long serialVersionUID = 1L;

    //主键
    @TableId(value = "id", type = IdType.UUID)
    private String id;

    //项目名称
    private String title;

    //项目代码
    private String code;

    //招标时间
    private String siteDate;

    //发布时间
    private String publishDate;


    //附件
    private String fileUrl;

    //备注
    private String remark;

    //创建时间
    private String createTime;

    //审批人
    private String user;

    //电话号码
    private String phone;

    //状态
    private String state;

    //是否已经处理(1未处理 2已处理成功3需手动处理)
    private String isHandle;
}
